//------------------------------------------------------------------------------------------------------
// Name       : import.c
// Date       : 05.03.1997     Author : SM / OK    Language : D
//------------------------------------------------------------------------------------------------------
// This file contains all language-dependent text definitions of the module IMPORT_.DLL. Together with
// the file IMPORT.RC, it is used to build the language library IMPORT.DLL.
// The library file IMPORT.LIB which is created during the compilation of this language DLL must be
// linked to the module's main DLL in order to have access to the texts and resources defined here.
//------------------------------------------------------------------------------------------------------

#include        "windows.h"
#include        "windowsx.h"
#include        "stdlib.h"

#include        "e:\release4\tosoapi4.h"        // Toso Interface Definitions

//------ Language-dependent strings --------------------------------------------------------------------

DLL_EXPORT LPSTR
        eStartUpText    [] = {
          "Version 1.10d, %s\n\nCopyright 1997 TommySoftware\n\nEntwickler: Stefan Malz.",
          "Koordinaten (*.TXT)",                                                // 01
          "Import Koordinaten (*.TXT)...",                                      // 02
          "",                                                                   // 03
          "Koordinaten (*.txt)",                                                // 04
          "*.txt",                                                              // 05
          "txt",                                                                // 06
          END_TEXT
        },

        eDialogText     [] = {
          "TommySoftware Koordinaten-Import",                                  // 00
          "namenlos.txt",                                                       // 01
          "Importiere aus Datei\n%s...",                                        // 02
          "Zeile %ld",                                                          // 03
          "%ld KBytes",                                                         // 04
          END_TEXT
        },

        eMessageText    [] = {
          "Dieses Plug-In bentigt mindestens\nToso-Schnittstellenversion 4.2.",// 00
          "Unzureichender Speicher.\nBitte andere Applikation schlieen, um fortzufahren.",     // 01
          "Der Import wurde abgebrochen.",                                      // 02
          "Fehler %ld in Dateiauswahlfenster.",                                 // 03
          "Nicht genug Speicher fr den Import.",                               // 04
          "Fehler %d in Zeile %ld (Offset %ld Bytes).",                         // 05
          END_TEXT
        };

//------------------------------------------------------------------------------------------------------
// This DLL entry procedure must exist in any DLL to be used in Win32. Since our language DLL does not
// need any initialization, this procedure is quite empty.

BOOL WINAPI DllMain( HINSTANCE hInstance, DWORD Reason, LPVOID Dummy )
{
  switch( Reason ) {
    case DLL_PROCESS_ATTACH:
      break;

    case DLL_PROCESS_DETACH:
      break;
  }
  return( TRUE );
}
